<?php
$GLOBALS['settings']                 = [];
$GLOBALS['settings']['HTTP_DATA']    = $_SERVER['HTTP_HOST'];
$GLOBALS['settings']['HTTP_SCHEME']  = $_SERVER['REQUEST_SCHEME'];
$GLOBALS['settings']['PROJECT_NAME'] = 'marturfo-yapim';
$GLOBALS['settings']['PROJECT_STATUS'] = 'dev';
$GLOBALS['mailApi']['info'] = '####';


?>

<?php if ($GLOBALS['settings']['HTTP_DATA'] == "localhost") : ?>
    <?php
    function site_url($path)
    {
        $l = $GLOBALS['settings']['HTTP_SCHEME'] . "://localhost/xserver.vayeshost.com/themes/" . $GLOBALS['settings']['PROJECT_NAME'];
        return $l . '/views/' . $path;
    }
    function theme($css)
    {
        $l = $GLOBALS['settings']['HTTP_SCHEME'] . "://localhost/xserver.vayeshost.com/themes/" . $GLOBALS['settings']['PROJECT_NAME'];
        return $l . '/assets/' . $css;
    }
    ?>
    <?php include('elements/header_taslak.php'); ?>
<?php elseif ($GLOBALS['settings']['HTTP_DATA'] == "taslaklar.vayes.com.tr") : ?>
    <?php
    function site_url($path)
    {
        $l = $GLOBALS['settings']['HTTP_SCHEME'] . "://taslaklar.vayes.com.tr/" . $GLOBALS['settings']['PROJECT_NAME'];
        return $l . '/views/' . $path;
    }
    function theme($css)
    {
        $l = $GLOBALS['settings']['HTTP_SCHEME'] . "://taslaklar.vayes.com.tr/" . $GLOBALS['settings']['PROJECT_NAME'];
        return $l . '/assets/' . $css;
    }
    ?>
    <?php include('elements/header_taslak.php'); ?>
<?php else : ?>

    <?php

    /*`.`         ..     `..     ..`       `..  .........      `---.
  /MN`       yMh    -MMM/    +MN-     -NM/  mMmdddddd-  `sNNhhhmm
   hMy      /MN`   `mM:MN.    /MN-   -NN:   mM/         mMo
   .NM/    `NM:    sMo oMh     -NN- :Nm.    mM/         mMy`
    /MN`   hMs    :Md   dM+     .mN+Nh`     mMhyyyyys   `sNMds/.
     hMs  +Md    `NMo:::+MM.     `mMy       mMo:::::-      ./smMh.
     `NM-.NN.    yMhooooohMd      hM+       mM/                sMd
      /MdyM/    /Mm       dMo     hM+       mM/         .     `hMy
       hMMy    .NM-       -MM-    hM+       mMmddddddo .mNdhhdNd+
       `..     `..         `.`    `.`       .........`   `.--.`*/
    $info = [];
    $info['url']     = current_url();
    $info['lang']    = $lang_in_use;
    $info['company'] = lang('title_company_name');
    $info['title'] =    $page_data->title;

    /* -------------------------------------------------------------- */


    // Meta Conditional Description
    if (isset($article) and ($article == TRUE)) {

        $info['type']         = 'article';
        $info['title']        = (!empty($article->meta_title)) ? $info['company'] . ' | ' . $article->meta_title : $info['company'] . ' | ' . $article->title;
        $info['keywords']     = (!empty($article->meta_keywords)) ? $article->meta_keywords : $page_data->meta_keywords;
        $info['description']  = (!empty($article->meta_description)) ? $article->meta_description : substr(html_entity_decode(strip_tags($article->content)), 0, 157) . '...';
    } else {

        $info['type']        = 'page';
        $info['title']       = $info['company'] . ' | ' . $page_data->title;
        $info['keywords']    = (!empty($page_data->meta_keywords)) ? $page_data->meta_keywords : '';
        $info['description'] = (!empty($page_data->meta_description)) ? $page_data->meta_description : substr(html_entity_decode($page_data->subtitle), 0, 157) . '...';
    }

    $GLOBALS['pageTitle'] = $info['title'];

    ?>

    <!DOCTYPE html>
    <html lang="<?= $lang_in_use; ?>">

    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <base href="<?= base_url(); ?>" />
        <link rel="canonical" href="<?= $info['url']; ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">

        <title><?= $info['title']; ?></title>
        <?php if (strpos(site_url(), 'vayes.com.tr')) : ?>
            <meta name="robots" content="noindex, nofollow">
            <meta name="googlebot" content="noindex, nofollow">
        <?php else : ?>
            <meta name="googlebot" content="index,follow" />
            <meta name="robots" content="index,follow" />
        <?php endif; ?>
        <!-- Favicon Settings -->
        <link rel="apple-touch-icon" sizes="72x72" href="<?= theme('img/apple-touch-icon.png'); ?>">        
        <link rel="icon" type="image/png" sizes="16x16" href="<?= theme('img/favicon.ico'); ?>">
        <link rel="manifest" href="<?= theme('img/site.webmanifest'); ?>">
        <link rel="shortcut icon" type="image/icon" href="<?= theme('img/favicon.ico'); ?>>" />
        <link rel="shortcut icon" type="image/x-icon" media="all" href="<?= theme('img/favicon.ico'); ?>" />
        <meta name="description" content="<?= $info['description']; ?>" />

        <!-- Open Graph Tags -->
        <meta property="og:type" content="<?= $info['type']; ?>" />
        <meta property="og:title" content="<?= $info['description']; ?>" />
        <meta property="og:description" content="<?= $info['description']; ?>" />
        <meta property="og:image" content="LINK TO THE IMAGE FILE" />
        <meta property="og:url" content="<?= $info['url']; ?>" />
        <meta property="og:site_name" content="<?= $page_data->title; ?>" />
        <!-- Twitter Cards Tags -->
        <meta name="twitter:title" content="<?= $info['description']; ?>">
        <meta name="twitter:description" content="<?= $info['description']; ?>">
        <meta name="twitter:image" content="LINK TO IMAGE">
        <meta name="twitter:site" content="@<?= $info['company']; ?>">
        <meta name="twitter:creator" content="@<?= $info['company']; ?>">

        <?php $this->load->view($active_theme . 'core/site_styles'); ?>
    </head> 

    <body>
        <?php $this->load->view($active_theme . 'core/page_helper'); ?>
        <?php $this->load->view($active_theme . 'elements/navbar'); ?>


    <?php endif; ?>